body {
  font-family: "Nunito Sans", sans-serif;
}

ol li, ul li {
  margin: 10px 0;
}

ul {
  list-style-position: inside;
}

ul ul {
  margin-left: 40px;
}

ul.sidebar-subitems {
  margin-left: 0px;
}

.lesson-content blockquote {
  background: rgba(255,237,0,.25);
  list-style-position: inside;
  padding: 20px;
}

.lesson-content blockquote p {
  margin-bottom: 0;
}

.project {
  padding-bottom: 2em;
}

.home-card h1 {
  font-family: "Zilla Slab",sans-serif;
  font-size: 1.9rem;
  color:#000;
}

.hr-gradient {
  height: 4px;
  background: -webkit-gradient(linear, left top, right top, from(#fe3d3d), to(#ffef00));
  background: linear-gradient(to right, #fe3d3d, #ffef00);
  border: 0;
  margin: 30px 0;
}
.highlight {
  padding: 0.3em 0;
  font-family: "Zilla Slab",sans-serif;
  background-color: #FA8CFF;
  font-weight:700;
  line-height: 1.9;
  color:#000;
}

.home-card {
  padding:1.5em 0.5em;
  margin-bottom:2em;
  box-shadow:0 0 .625em .3125em rgba(0,0,0,.08)
}

h1 {
  font-family: "Zilla Slab";
  font-size: 56px;
  color: #000000;
  line-height: 68px;
}

.hero-unit p {
  font-size: 2rem;
  margin-top:1em;
  color: black;
}

.intro {
  letter-spacing: 0rem;
  margin:0.5em 0 2em;
}

.lesson-content .intro p {
  font-size: 1.3rem;
  line-height: 2rem;
}

h2 {
  margin: 1rem 0;
  font-family: "Zilla Slab",sans-serif;
  color:black;
}

ol.toc {
  list-style-type: none;
}

h3 {
  font-weight: 200;
  margin-top: 3rem;
  margin-bottom: 2rem;
  font-size: 2rem;
  font-family: "Zilla Slab",sans-serif;
}

h5 {
  font-weight: 400;
  font-size:  1.1em;
}

.details + h3 {
  margin-top: 1.5rem;
}

.details ul {
  padding-left: 1.5rem;
}

a, a:link {
  color:#3bb7ef;
}

a:hover {
  color:#014c8c;
  text-decoration: underline;
}

a:hover edit:before {
  text-decoration: none;
}

.details time {
  margin-top: 5px;
}

.details time, .details edit {
  margin-bottom: 3px;
  display: block;
}

time {
  color: #2581B7;
}

.details time:before {
  content: "\f017";
  font-family: FontAwesome;
  margin-right: 6px;
}

.video-player:before{
  content: "\f16a";
  font-family: FontAwesome;
}

.assignment:before{
  content: "\f044";
  font-family: FontAwesome;
  margin-right: 6px;
}

h3 .assignment:before {
  margin-right: 8px;
  font-size: 1.75rem;

}

.suggest-changes {
  margin-left: 1.25rem;
  position: relative;
}

.suggest-changes:before {
  content: "\f040";
  font-family: FontAwesome;
  margin-right: 6px;
  font-size: .9rem;
  position: absolute;
  left: -1.2rem;
}

#markdown-toc {
  border: solid 1px #DDD;
  border-width: 1px 0 1px 0;
  padding: 1.4rem 1rem 1.4rem 2rem;
}

#markdown-toc:before {
  content: "Table of Contents";
  color: rgba(0,0,0,.7);
  margin-left: -2rem;
  font-size: 18pt;
}

#markdown-toc li {
  margin: .5rem 0;
}

#markdown-toc li ul {
  margin-left: 1rem;
}

pre, code, pre code {
  border: none;
  border-radius: 0;
  background-color: #f9f9f9;
  font-size: 0.85em;
}

pre {
  font-size: 1em;
}

code {
  color: inherit;
}

html.no-js .sidebar .collapsible-content {
  /* The links in the sidebar are crucial to navigating the site.
     * If JS is disabled, we want the links visible at all costs. */
  opacity: 1 !important;
  max-height: none !important;
}

.sidebar {
  position: relative;
  height: auto;
  color: #979797;
  font-size: 1rem;
  font-weight: 600;
}

.sidebar a {
  font-size: inherit;
  color: inherit;
  line-height: 1;
  font-weight: 600;
}

.sidebar .collapsible-content {
  transition: all 0.5s ease;
  opacity: 1;
  max-height: 1400px;
  padding-bottom: 1rem;
}

.sidebar .collapsible-content.collapsed {
  opacity: 0;
  max-height: 0;
  padding-bottom: 0;
}

@media screen and (min-width: 992px) {
  .sidebar {
    transition: background-color 5ms;
  }
  .sidebar .collapsible-content.collapsed {
    opacity: 1;
    max-height: auto;
  }
}

.sidebar-header {
  position: relative;
  font-size: 1rem;
  display: flex;
  justify-content: space-between;
}

.sidebar-header a {
  color: #000;
}

.sidebar-header a:hover,
.sidebar-header a:focus {
  text-decoration: none;
}

.sidebar-header .moz-logo {
  width:56px;
}

.sidebar-header h2 {
  margin: 0;
  padding: 0;
  letter-spacing: 0;
  font-family: "Zilla Slab", serif;
  font-size: 25px;
  font-weight: 600;
}

.sidebar-header .glyphicon-menu-hamburger {
  position: absolute;
  right: 1rem;
  top: 2.5rem;
  color: #fff;
  border: none;
  background: transparent;
  padding: 0;
}

.sidebar-header .glyphicon-menu-hamburger:focus {
  color: #e6e6e6;
}

.sidebar-menu {
  top: 0;
  padding-bottom: 0;
  margin-bottom: 0;
  font-family: "Zilla Slab", sans-serif;
}

.sidebar-menu li {
  font-size: 1rem;
  border-bottom: 1px solid rgba(0,0,0,0.1);
}

.sidebar-menu a {
  position: relative;
  display: block;
  outline: none;
  font-size: 1em;
}

.sidebar-menu > li > a {
  opacity: .8;
  display: inline-block;
}


.sidebar-menu > li.selected > a,
.sidebar-menu > li:hover > a
 {
  opacity: 1;
}


.sidebar-menu li a:hover,
.sidebar-menu li a:focus {
  background-color: #ffed00;
  color: #000;
  transition: background-color 3ms;
}

.sidebar-menu a:hover,
.sidebar-menu a:focus {
  text-decoration: none;
}

.sidebar-menu li.selected {
}

.sidebar-menu li.selected a {
  color: #000;
  font-weight: 600;
  border-bottom: 4px solid #FFED00;
}

.sidebar-menu li.selected span:before {
  color: #000;
  content: "\f105";
  font-family: "FontAwesome";
  display: inline-block;
  text-decoration: none;
}

.sidebar-menu strong {
  display: inline;
  font-weight: 700;
  text-transform: uppercase;
  vertical-align: middle;
  margin-left: 1rem;
}

.sidebar-menu .external-link:after {
  color: rgba(255, 255, 255, 0.5);
}

.sidebar-menu .glyphicon {
  position: absolute;
  right: 1rem;
  font-size: 1.5rem;
  top: calc(41.5%);
  color: #cd00cc;
  transition: color 3ms;
  visibility: hidden;
}

.sidebar-menu li {
  margin:0;
  padding: 10px 0;
}

.sidebar-line {
  border-top:1px solid #cfcfcf;
}

@media screen and (min-width: 1200px) {
  .sidebar-menu .glyphicon {
    right: 1.5rem;
  }
}

@media screen and (min-width: 992px) {
  .sidebar-menu .glyphicon {
    visibility: visible;
  }
}

.sidebar-menu .img-container {
  display: inline-block;
  overflow: hidden;
  width: 3.5rem;
  text-align: center;
  vertical-align: middle;
}

.sidebar-menu img {
  float: none;
  width: 2rem;
  opacity: 0.6;
}

.sidebar-menu .activities img,
.sidebar-menu .opportunities img {
  width: 1.6rem;
}

.sidebar-menu .tools-page img {
  width: 2.3rem;
}

.sidebar-menu .community img {
  width: 2.8rem;
}

.sidebar-subitems {
  /* list-style: decimal;
  list-style-position: inside; */
  counter-reset: item;
  list-style-type: none;
}

.sidebar-subitems li {
  margin-bottom: 0.5rem;
  padding-right:10px;
}

.sidebar-subitems li:before {
  content: counter(item) " ";
  counter-increment: item;
  margin-right: 0.5em;
}

ul.sidebar-subitems li:before {
  content: "";
}

.sidebar-subitems li:last-child {
  margin-bottom: 0;
}


.sidebar-subitems a {
  display: inline-block;
  line-height: 1.25rem;
  font-size:1rem;
  transition: color .15s ease-out;
}

.sidebar-subitems a:hover {
  color: rgba(0,0,0,1);
}

.sidebar-subitems a.current {
  color:black;
}

.sidebar footer {
  padding: 20px;
  color:rgba(0,0,0,0.8);
  border-top:1px solid #cfcfcf;
}

#content {
  max-width:1400px;
}

#content img {
  max-width:100%;
  border:1px solid #CCC;
}

#content h4 {
  margin:0;
  font-family: "Zilla Slab",sans-serif;
}


strong {
  font-weight: 600;
}

body.rtl {
	direction: rtl;
}

body.rtl #header .brand {
	float: right;
    margin-left: 5px;
}
body.rtl .row-fluid [class*="span"] {
	float: right !important;
	margin-left: 0;
	margin-right: 2.564102564102564%;
}
body.rtl .row-fluid [class*="span"]:first-child {
	margin-right: 0;
}

body.rtl ul, body.rtl ol {
    margin: 0 25px 10px 0;
}

table {
  margin-bottom: 1rem;
  border: 1px solid #e5e5e5;
  border-collapse: collapse;
}

td, th {
  padding: .25rem .5rem;
  border: 1px solid #e5e5e5;
}

.btn {
  font-family: "Nunito Sans";
}

a.btn-wl {
  border: 2px solid #3bb7ef;
  color: #000;
  transition: background 0.2s ease-in-out;
  white-space:normal;
  text-decoration: none;
  padding: 0.5rem 1rem;
  margin-top: 1rem;
  line-height: 2rem;
  font-weight: 600;
  text-transform: uppercase;
}

a.btn-wl:hover {
  opacity: 1;
  background: #00FFFF;
  border-color: #00FFFF;
  color: #000;
}

a.btn-pop {
  background: #ffed00;
  color: black;
  -webkit-box-shadow: 4px 4px black;
  box-shadow: 4px 4px black;
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
  border: 2px solid black;
  position: relative;
  font-size: 16px;
  font-weight: 600;
  letter-spacing: 0.3px;
}

a.btn-pop:hover {
  -webkit-box-shadow: 8px 8px black;
  box-shadow: 8px 8px black;
  -webkit-transform: translate(-4px, -4px);
  transform: translate(-4px, -4px);
  color: black;
  background: #e7c121;
}

/* PASSING */

@-webkit-keyframes passing {
  0% {
    -webkit-transform: translateX(0%);
    -ms-transform: translateX(0%);
    transform: translateX(0%);
    opacity: 1;
  }

  50% {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
    opacity: 0.8;
  }

  100% {
    -webkit-transform: translateX(250%);
    -ms-transform: translateX(250%);
    transform: translateX(250%);
    opacity: 0;
  }
}

@keyframes passing {
  0% {
    -webkit-transform: translateX(0%);
    -ms-transform: translateX(0%);
    transform: translateX(0%);
    opacity: 1;
  }

  50% {
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
    opacity: 0.8;
  }

  100% {
    -webkit-transform: translateX(250%);
    -ms-transform: translateX(250%);
    transform: translateX(250%);
    opacity: 0;
  }
}

.btn-next:hover > i {
  -webkit-animation: passing 100ms linear;
  animation: passing 100ms linear;
}

.btn-next:hover > i {
  opacity:0;
}

.mofooter {
  background: #000;
  color: #fff;
  text-align: center;
  padding: 2.8125rem 0.625rem;
}
.mofooter .icon-container {
  margin: 1.25rem 0;
}
.mofooter .icon-container .icon {
  cursor: pointer;
  display: inline-block;
  font-weight: 300;
  font-size: 1rem;
}
.mofooter .icon-container .icon img {
  width: 1.25rem;
}
.mofooter .icon-container .icon .footer-icon {
  opacity: 0.5;
}
.mofooter .icon-container .icon a {
  color: #fff;
  opacity: 0.5;
  text-decoration: none;
}
.mofooter .icon-container .icon:hover a,
.mofooter .icon-container .icon:hover .footer-icon {
  -webkit-transition: opacity 0.15s ease-out;
  transition: opacity 0.15s ease-out;
  opacity: 1;
}
.mofooter .footer-content {
  max-width: 35.625rem;
  margin: 0 auto;
}
.mofooter .footer-content p {
  font-size: 0.875rem;
  color: rgba(255, 255, 255, 0.5);
  line-height: 1.5rem;
  margin: 0;
}
.mofooter .footer-content p a {
  color: rgba(255, 255, 255, 0.8);
  line-height: inherit;
}

.mofooter .footer-content p a:hover {
  color: white;
}

.mofooter .icons {
  margin-bottom: 1.25rem;
}

.mofooter .logo {
  margin-bottom: 1.25rem;
  padding-bottom: 1.25rem;
  border-bottom: 0.0625rem solid #666;
  display: inline-block;
}

@media screen and (min-width: 768px) {
  .mofooter .logo {
    border-bottom: 0;
    border-right: 0.0625rem solid #666;
    padding-bottom: 0;
    padding-right: 1.25rem;
    margin-bottom: 0;
    margin-right: 1.25rem;
  }
}

@media screen and (max-width: 768px) {
  .mofooter .icon-container:first-child {
    margin-top: 0;
  }
  .mofooter .icon-container:last-child {
    margin-bottom: 2.8125rem;
  }
  .mofooter .icon-container .footer-icon {
    display: block;
    margin: 0.375rem auto 0.375rem;
  }
}

@media screen and (min-width: 768px) {
  .mofooter .footer-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }
  .mofooter .footer-content .footer-icon {
    margin-left: 0.625rem;
  }
  .mofooter .footer-content p {
    text-align: left;
    width: calc(89.625%);
  }
  .mofooter .icon-container {
    display: inline-block;
    margin: 0 1.125rem;
  }
  .mofooter .icon-container .icon {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-negative: 0;
    flex-shrink: 0;
  }
  .mofooter .icon-container .icon .footer-icon {
    margin: 0 0.625rem 0 0;
    display: inline-block;
  }
}

footer.col-sm-12 {
  padding:0;
}

.lesson-content p, .lesson-content li {
  font-size: 1rem;
  line-height: 1.4rem;
  color: rgba(0,0,0);
}

.lesson-content p {
  line-height: 1.5rem;
  margin-bottom: 1.75rem;
}

hr {
  margin: 2rem 0;
}

.help-us {
  margin-top: 2.5rem;
  padding-top: 1rem;
  border-top: solid 1px #cfcfcf;
}

.anchorjs-link {
  margin-left: 0px;
  opacity: 0;
  position: relative;
  top: 1px;
}

.anchorjs-link:hover {
  text-decoration: none;
  opacity: .7;
}

video {
  margin-bottom: 1.5rem;
  border: solid 1px #DDD;
}
.subhead {
  font-style: italic;
  margin: 0 0 0.5em 0;
  color: #777;
}

.mentor h4 {
  color: #A95FAD;
}

.mentor {
  padding-bottom: 1.5em;
}

.next-prev {
  display: flex;
  background: #f2f2f2;
  padding: 20px;
  justify-content: space-between;
  text-transform: uppercase;
  margin: 30px 0;
  color: #8f8f8f;
}

.next-prev .wrapper {
  width: 33%;
  display: flex;
}

.next-prev .arrow {
  color: #3bb7ef;
  padding: 0 0.5rem;
}

/* CUSTOM */
.sidebar-menu li.back span:before {
    color: #000;
    content: "\f104";
    font-family: "FontAwesome";
    display: inline-block;
    text-decoration: none;
}

.sidebar-menu {
  position: sticky;
}

.sidebar-menu > li.selected > a,
.sidebar-menu > li.back > a,
.sidebar-menu > li:hover > a
 {
  display: inline;
}

.sidebar-menu li {
  line-height: 1em;
}

.sidebar-subitems a {
  display: inline;
}

.sidebar a {
  line-height: 1.2;
}

.tags {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.tags > *:not(:first-child) {
  margin-left: 1em;
}

.tags > *:not(:last-child)::after {
  margin-left: 1em;
  content: "|";
}

#autotoc.sidebar-subitems {
  counter-reset: H3;
  counter-reset: H4;
  counter-reset: H5;
  counter-reset: H6;
  counter-reset: H7;
}

#autotoc.sidebar-subitems li:before {
  content: "  ";
}

#autotoc.sidebar-subitems li.H3 {
  counter-reset: H4;
  counter-increment: H3;
}
#autotoc.sidebar-subitems li.H3:before {
  content: counter(H3) " ";
}

#autotoc.sidebar-subitems li.H4 {
  counter-reset: H5;
  counter-increment: H4;
}
#autotoc.sidebar-subitems li.H4:before {
  content: counter(H3) "." counter(H4) " ";
}

#autotoc.sidebar-subitems li.H5 {
  counter-reset: H6;
  counter-increment: H5;
}
#autotoc.sidebar-subitems li.H5:before {
  content: counter(H3) "." counter(H4) "." counter(H5) " ";
}